Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1529915 - pmcd binding only to localhost:44321 by default
Summary: pmcd binding only to localhost:44321 by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Lukas Berk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-31 01:17 UTC by Frank Ch. Eigler
Modified: 2018-04-06 15:02 UTC (History)
7 users (show)

Fixed In Version: pcp-4.0.1-1 pcp-4.0.1-1.fc28 pcp-4.0.1-1.fc26 pcp-4.0.1-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-03 13:27:06 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Frank Ch. Eigler 2017-12-31 01:17:28 UTC
On fedora 27, pcp 3.12.1 and 3.12.2 pmcds now bind specifically to localhost:XXXX, so they are not reachable from other hosts.  (pcp -h localhost works; pcp -h MY_NORMAL_IP_ADDRESS doesn't.)  This is a regression for networks that routinely remotely collect pcp data.

Comment 1 Frank Ch. Eigler 2017-12-31 01:21:12 UTC
Adding

-i 0.0.0.0

to /etc/pcp/pmcd/pmcd.options restores the former default.

Comment 2 Frank Ch. Eigler 2017-12-31 13:15:31 UTC
I realize now this was to some extent deliberate, part of commit 2c721f2444.  Nevertheless it creates somewhat of a regression, and is not documented.

It would be better if this PMCD_LOCAL=1 change were
- conditional on a fresh-install  (%install with $1 == 1),
- part of the pcp-collector subrpm, and/or
- part of the pcp-zeroconf subrpm

Comment 3 Lukas Berk 2018-01-02 15:08:02 UTC
Hi,

How do you envision complying with fedora packaging guidelines - specifically, as a default enabled service - when installing the base pcp package and adding the 'PMCD_LOCAL=1' change only for?

- part of the pcp-collector subrpm, and/or
- part of the pcp-zeroconf subrpm

Comment 4 Lukas Berk 2018-01-02 21:14:28 UTC
In the meantime I've pushed upstream:

commit 8b06e8a16ff4ed0e33a520923f7eb203051cba42
Author: Lukas Berk <lberk>
Date:   Tue Jan 2 16:11:28 2018 -0500

    Only set PM{CD,LOGGER}_LOCAL modes on fc27+ if a fresh install
    
    While this change is for fedora packaging guidelines, if the
    user/admin changes the default values, lets not force this unless it's
    a fresh install.

Comment 5 Frank Ch. Eigler 2018-01-08 15:40:08 UTC
Thanks, Luke.  My mention of pcp-collector & pcp-zeroconf was to suggest that it is the presence of those subrpms which perhaps should trigger the auto-activation of pmcd & pmlogger (if not pmmgr), I guess as a %post scriptlet, rather than the main pcp subrpm.

Comment 6 Fedora Update System 2018-03-29 03:34:48 UTC
pcp-4.0.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-67ae01df6c

Comment 7 Fedora Update System 2018-03-29 03:36:39 UTC
pcp-4.0.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e0d3cdb266

Comment 8 Fedora Update System 2018-03-29 03:37:39 UTC
pcp-4.0.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a88bef9929

Comment 9 Fedora Update System 2018-03-29 13:58:07 UTC
pcp-4.0.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-67ae01df6c

Comment 10 Fedora Update System 2018-03-29 16:48:26 UTC
pcp-4.0.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a88bef9929

Comment 11 Fedora Update System 2018-03-29 17:58:12 UTC
pcp-4.0.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e0d3cdb266

Comment 12 Fedora Update System 2018-04-03 13:27:06 UTC
pcp-4.0.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-04-06 14:37:14 UTC
pcp-4.0.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-04-06 15:02:06 UTC
pcp-4.0.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.